#ifndef _PHIDGET_DICT_HELPERS_H_
#define _PHIDGET_DICT_HELPERS_H_

#include "phidget22extra_int.h"

PHIDAPI PhidgetReturnCode dictionarySet(PhidgetDictionaryHandle, const char *, const char *, ...);
PHIDAPI const char *dictionaryGet(PhidgetDictionaryHandle, char *, size_t, const char *, const char *, ...);

PHIDAPI double dictionaryGetDoublev(PhidgetDictionaryHandle, double, const char *, va_list);
PHIDAPI double dictionaryGetDouble(PhidgetDictionaryHandle, double, const char *, ...);

PHIDAPI uint64_t dictionaryGetU64v(PhidgetDictionaryHandle, uint64_t, const char *, va_list);
PHIDAPI uint64_t dictionaryGetU64(PhidgetDictionaryHandle, uint64_t, const char *, ...);

PHIDAPI int64_t dictionaryGetI64v(PhidgetDictionaryHandle, int64_t, const char *, va_list);
PHIDAPI int64_t dictionaryGetI64(PhidgetDictionaryHandle, int64_t, const char *, ...);

PHIDAPI const char *dictionaryGetStringv(PhidgetDictionaryHandle, const char *, const char *, va_list);
PHIDAPI const char *dictionaryGetString(PhidgetDictionaryHandle, const char *, const char *, ...);

PHIDAPI int dictionaryGetBoolv(PhidgetDictionaryHandle, int, const char *, va_list);
PHIDAPI int dictionaryGetBool(PhidgetDictionaryHandle, int, const char *, ...);

#endif /* _PHIDGET_DICT_HELPERS_H_ */